<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
HashDatabaseConfig Properties
HashDatabaseConfig Class See Also

The HashDatabaseConfig type exposes the following members.

# Properties

| Name | Description
--- | --- | ---
| EncryptAlgorithm | The algorithm used to perform encryption and decryption. (Inherited from DatabaseConfig.)
| EncryptionPassword | The password used to perform encryption and decryption. (Inherited from DatabaseConfig.)
| FillFactor | The desired density within the hash table. If no value is specified, the fill factor will be selected dynamically as pages are filled.
| PageSize | The size of the pages used to hold items in the database, in bytes. (Inherited from DatabaseConfig.)
| TableSize | An estimate of the final size of the hash table.

# See Also

HashDatabaseConfig Class
BerkeleyDB Namespace